Package com.avaya.clientservices.calllog

## Enum MissedCallReason

- java.lang.Object
- - java.lang.Enum<MissedCallReason>
  - - com.avaya.clientservices.calllog.MissedCallReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MissedCallReason>`

      public enum MissedCallReason
      extends java.lang.Enum<MissedCallReason>

  Describes the missed call reason types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL_LINES_BUSY` | There was no Call Appearance available for incoming call.
    `CFWD_ALL` | The call was missed due to Call Forward All Calls activated.
    `CFWD_BUSY` | The call was redirected because the user was busy on other calls, and Call Forward Busy / Don't Answer activated.
    `COVERAGE` | The call was missed due to no answer, and redirected to coverage.
    `LNCC` | The call was redirected because the user was busy on other calls, and Limit Call (LNCC) activated.
    `UNDEFINED` | The missed call reason is not defined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MissedCallReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MissedCallReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final MissedCallReason UNDEFINED

      The missed call reason is not defined.

    - #### CFWD_ALL

          public static final MissedCallReason CFWD_ALL

      The call was missed due to Call Forward All Calls activated.

    - #### CFWD_BUSY

          public static final MissedCallReason CFWD_BUSY

      The call was redirected because the user was busy on other calls, and Call Forward Busy / Don't Answer activated.

    - #### LNCC

          public static final MissedCallReason LNCC

      The call was redirected because the user was busy on other calls, and Limit Call (LNCC) activated.

    - #### COVERAGE

          public static final MissedCallReason COVERAGE

      The call was missed due to no answer, and redirected to coverage.

    - #### ALL_LINES_BUSY

          public static final MissedCallReason ALL_LINES_BUSY

      There was no Call Appearance available for incoming call.

  - ### Method Detail

    - #### values

          public static MissedCallReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MissedCallReason c : MissedCallReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MissedCallReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null